<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
    * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('type_enseignements', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('type_enseignement')->unique();
            $table->enum('status',['0','1'])->default('1');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
    */
    public function down(): void
    {
        Schema::dropIfExists('type_enseignements');
    }
};
